- internal file update (for compatibility with *.mgc generated by file-4.14)
[packages/rpm.git] / rpm.spec
CommitLineData
52c10eff 1#
2# TODO:
76f35df6
JB
3# - python(abi) cap is not provided automatically (because /usr/bin/python matches
4# ELF first; it should be provided by python-libs not binary anyway)
2aa60dc6
JB
5# - consider using system libmagic not internal libfmagic
6# (but internal has different method of passing output)
1d5ec46b 7#
89427592 8# Conditional build:
4af66a2c
JB
9%bcond_with static # build static rpmi (not supported at the moment)
10%bcond_without apidocs # don't generate documentation with doxygen
11%bcond_with autoreqdep # autogenerate package name deps in addition to sonames/perl(X)
12%bcond_without python # don't build python bindings
13%bcond_without selinux # build without selinux support
89427592
JB
14# force_cc - force using __cc other than "%{_target_cpu}-pld-linux-gcc"
15# force_cxx - force using __cxx other than "%{_target_cpu}-pld-linux-g++"
16# force_cpp - force using __cpp other than "%{_target_cpu}-pld-linux-gcc -E"
54bfdf99 17
003a039e 18# versions of required libraries
c814aff6 19%define reqdb_ver 4.3.27-1
2065c1cd 20%define reqpopt_ver 1.10.1
0931d8ae 21%define beecrypt_ver 2:4.1.0
704fb5fb 22%define rpm_macros_rev 1.231
e5f02e49
AM
23Summary: RPM Package Manager
24Summary(de): RPM Packet-Manager
313a4d1a 25Summary(es): Gestor de paquetes RPM
609cc585 26